Subject: RE: [ipfix-eval] Juergen's conclusions

From: "Reinaldo Penno" <[email-masked]>
Date: Tue, 22 Oct 2002 11:58:44 -0700

That hit the spot. I think Carter is right on the money on this.

> -----Original Message-----
> From: Carter Bullard [mailto:[email-masked]]
> Sent: Tuesday, October 22, 2002 8:17 AM
> To: 'Juergen Quittek'; [email-masked]
> Subject: RE: [ipfix-eval] Juergen's conclusions
> 
> 
> Hey Juergen,
> > 
> > Juergen's Conclusion
> >
> [snip]
> > 
> > Considering all this I would recommend to go for NetFlow v9. 
> > If this is not accepted because NetFlow is considered as too 
> > simple or lacking functionality, I would recommend using IDPR.
> >
> 
> While I like the IPDR data representation strategy and formats,
> I see IPDR as a data model, providing a format for communicating
> flow activity reports that a probe can generate.  But I don't
> see how IPDR is a transport protocol.
> 
> My opinion is that IPFIX MUST be able to transport IPDR data,
> it MUST also be able to transport native NetFlow v[1-9] data
> as well.  That to me indicates that the appropriate data model
> is either a superset of all the candidates, so that IPFIX can
> handle all the data types, or the transport protocol supports
> an opaque data object, so that vendors can transport their
> native records as blobs.  NetFlow doesn't support either
> strategy.  IPDR may be able to be the superset, but its doesn't
> support an opaque blob.
> 
> While vendors will assure us that their methods can be extended,
> I won't feel comfortable making a choice until the vendors 
> demonstrate how their methods can handle the requirements.
> 
> 
> Carter
> 
> Carter Bullard
> QoSient, LLC
> 300 E. 56th Street, Suite 18K
> New York, New York  10022
> 
> [email-masked]
> Phone +1 212 588-9133
> Fax   +1 212 588-9134
> http://qosient.com
>  
> 
> 
> >     Juergen
> > 
> > --
> > Help        mailto:[email-masked] and say "help" 
> > in message body
> > Unsubscribe mailto:[email-masked] and say 
> > "unsubscribe ipfix" in message body
> > Archive     http://ipfix.doit.wisc.edu/archive/
> > 
> 
> 
> 
> --
> Help        mailto:[email-masked] and say "help" 
> in message body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/
>